Bug 58188 - system hard locks on specific video setting
system hard locks on specific video setting
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-10 14:55 EST by Dean Oliver
Modified: 2007-04-18 12:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 15:59:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XFree86 config (1.77 KB, text/plain)
2002-01-22 18:44 EST, Dean Oliver
no flags Details
XFree Log (25.61 KB, text/plain)
2002-01-22 18:45 EST, Dean Oliver
no flags Details

  None (edit)
Description Dean Oliver 2002-01-10 14:55:40 EST
Description of Problem: 
 The system will hard lock with little or no activity on a specific 

video setting, running a video intensive app will cause the freeze to occur within 

seconds.

Platforms: PE-6650, PE-4600
Kernel: 2.4.7-10smp (up works ok)
Video chip: on-
board 
ati rage xl 8meg.
Resolution: 1600x1200 (only)
Color depth: 16 bit (only)
Monitor: 
Dell 
M780 or P780
Desktop: KDE or Gnome
Desktop Manager: kdm, gdm or xdm
Memory: 512 
mg
Swap: 
1gig

How Reproducible:
  Every time

Steps to Reproduce:
1. Install RH 7.2
2. 
Select 
1600x1200 resolution and 16bit color mode
3. start X, run gears or gloss or some other 
video 
intensive app, hard lock should occur within 5 seconds, or may occur before desktop is 
finished 
loading.

Actual Results:
  A system freeze within seconds of desktop loading, a 
hard reboot 
is necessary.

Expected Results:
  No lock-up

Additional Information:
  Does 
not occur on PE-
2500.
  Also tested at 1600x1200 in 8bit and 24bit ok. 
  16bit with resolution 
lower than 
1600x1200 ok.
Comment 1 Mike A. Harris 2002-01-18 03:17:29 EST
Please attach you X configuration file, and X server logs using the
attachment link below.
Comment 2 Mike A. Harris 2002-01-18 03:20:12 EST
Also..  Please upgrade your kernel and other packages to the latest
official erratum releases.

This is most likely a kernel issue.
Comment 3 Dean Oliver 2002-01-22 18:44:21 EST
Created attachment 43215 [details]
XFree86 config
Comment 4 Dean Oliver 2002-01-22 18:45:15 EST
Created attachment 43216 [details]
XFree Log
Comment 5 Dean Oliver 2002-01-22 18:45:49 EST
Attached log and config for X.
Comment 6 Dean Oliver 2002-01-24 15:28:49 EST
Have tested this with the 2.4.9-13smp kernel and issue still exists.
Comment 7 Matt Domsch 2002-02-01 11:27:07 EST
Dean, please try with kernel 2.4.9-21smp.
-Matt
Comment 8 Matt Domsch 2002-02-01 16:10:59 EST
Word from AMI may help, or not.

The following video modes are NOT supported under Windows 2000, and could be 
related to Linux as well.

 
Resolution	Refresh Rate (Hz)	Color Depth
800x600	180			32
1024x768	120			32
1024x768	140			32
1024x768	150			32
1024x768	160			32
1152x864	47			24 and 32
1152x864	60			24 and 32
1152x864	70			24 and 32
1152x864	75			24 and 32
1152x864	80			24 and 32
1152x864	85			24 and 32
1152x864	100			24 and 32
1152x864	120			24 and 32
1280x1024	43			24 and 32
1280x1024	47			24 and 32
1280x1024	60			24 and 32
1280x1024	70			24 and 32
1280x1024	74			24 and 32
1280x1024	75			24 and 32
1280x1024	85			24 and 32
1280x1024	90			24 and 32
1280x1024	100			24 and 32
1600x1200	52			16, 24, and 32
1600x1200	58			16, 24, and 32
1600x1200	60			16, 24, and 32
1600x1200	66			16, 24, and 32
1600x1200	72			16, 24, and 32
1600x1200	75			16, 24, and 32
1600x1200	76			16, 24, and 32
1600x1200	85			16, 24, and 32

It's OK to share with Red Hat. 
Note that this issue arises due to the limitation in memory bandwidth of our 
current ATI Rage XL implementation. Dell is using a 32 bit frame buffer memory 
interface with the Rage XL chip. The stock driver which we have been using was 
written for the 64 bit memory interface.

Comment 9 Mike A. Harris 2002-02-13 14:19:24 EST
From what you describe above, this seems more like a hardware flaw to
me than a software flaw, however if that is the case, about all we can
do is detect this video card, and disable all of the above video modes,
so that the server does not crash.

Could you please see if it continues to occur with the 4.1.0-15 XFree86
erratum release?  If so, please also test the rawhide version of XFree86
and see if that changes anything?
Comment 10 Mike A. Harris 2002-02-13 14:33:39 EST
Also, if the above testing turns out to not solve anything, I will
contact ATI myself directly to discuss the problem, and seek assistance
at finding a solution.

Thanks,
TTYL
Comment 11 Matt Domsch 2002-02-28 16:48:46 EST
Dean, have you tested this with 2.4.9-21 or the new 2.4.9-31 kernel yet?  
Jaguar's trying to get out of system test and wants to know what's up with 
this...

Mike, any other news from ATI on this?
-Matt
Comment 12 Mike A. Harris 2002-03-07 15:34:39 EST
SOrry for not responding earlier, I've got an updated driver in now that
might work.  It's been in the last couple releases.  4.2.0-6.41 being
current.

Can you test it out and update the report?

Thanks
Comment 13 Dean Oliver 2002-03-07 15:59:03 EST
Problem seems to be fixed with new driver!!
Hampton beta 2
Comment 14 Mike A. Harris 2002-03-07 16:39:03 EST
Fantastic.  Again, sorry for the delay notifying you of new packages...
bugzilla is becoming a universe of its own to keep track of.  ;o)

Thanks for testing and responding so quickly.
Comment 15 Matt Domsch 2002-03-07 17:13:05 EST
Are the new packages slated for:
1) Errata release for 7.2
2) Pensacola release
3) Hampton release

??

-Matt
Comment 16 Mike A. Harris 2002-03-07 17:33:47 EST
Hampton,however it is possible any erratum released prior to that could also
contain the fix as well.
Comment 17 Mike A. Harris 2002-04-17 14:37:21 EDT
Update:  This bugfix will soon appear in XFree86 4.1.0 erratum packages
for Red Hat Linux 7.1 and 7.2, and also are slated for inclusion in
Pensacola as well.
Comment 18 Mark J. Cox (Product Security) 2003-06-25 11:52:32 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-066.html

Note You need to log in before you can comment on or make changes to this bug.